For the complete documentation index, see llms.txt. This page is also available as Markdown.

Output Module

Exports results in CSV format, returns the results immediately.

post

Performs an Output Module query and exports the results immediately in CSV format.

Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
separatorstringOptional

The delimiter character used to separate entries. Default value is ';'.

quotestringOptional

The delimiter character used for quoted entries. Default value is '"'.

escapestringOptional

The delimiter character used to escape separator or quote character. Default value is '\'.

headerRowbooleanOptional

Whether a response should include a header (true) or not (false). Default value is true.

Default: true
Body
stringOptional
Responses
200

The string response in CSV format.

text/plain
stringOptional
post/outputModule/export/csv

Exports results in CSV format, returns JSON representation of the async Job.

post

Starts a job that performs an Output Module query and stores the results in a file in CSV format. Id of the file can be retrieved from the message.id property of the job once the job is finished.

Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated

separatorstringOptional

The delimiter character used to separate entries. Default value is ';'.

quotestringOptional

The delimiter character used for quoted entries. Default value is '"'.

escapestringOptional

The delimiter character used to escape separator or quote character. Default value is '\'.

headerRowbooleanOptional

Whether a response should include a header (true) or not (false). Default value is true.

Default: true
sendNotificationbooleanOptional

Whether an e-mail must be sent on completion of the job.

Default: false
Body
stringOptional
Responses
200

The JSON representation of the job that performs an Output Module query.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/outputModule/export/csv-job
200

The JSON representation of the job that performs an Output Module query.

Exports results in CSV format, returns information about created file.

post

Performs an Output Module query and stores the query results in a file in CSV format. The id of the file is returned in the response.

Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated

separatorstringOptional

The delimiter character used to separate entries. Default value is ';'

quotestringOptional

The delimiter character used for quoted entries. Default value is '"'

escapestringOptional

The delimiter character used to escape separator or quote character. Default value is '\'

headerRowbooleanOptional

Whether a response should include a header (true) or not (false). Default value is true

Default: true
Body
stringOptional
Responses
200

The information about the file where the results are stored.

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/outputModule/export/csv-file

Exports results in Excel format, returns JSON representation of the async Job.

post

Starts a job that performs an Output Module query and stores the results in a file in Excel format. Id of the file can be retrieved from the message.id property of the job once the job is finished.

Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

Authorizations
AuthorizationstringRequired
Query parameters
sendNotificationbooleanOptional

Whether an e-mail must be sent on completion of the job.

Default: false
validationEnabledbooleanOptional

Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated.

sheetNamestringOptional

The name of the sheet. By default no sheet name is set.

useXLSXbooleanOptional

Whether the Excel file to export will be '.xlsx' file (true) or a '.xls' file (false. Default value is true.
The parameter will be removed. In the future only XLSX files will be supported..

Default: true
headerRowbooleanOptional

Whether a response should include a header (true) or not (false). Default value is true.

Default: true
truncateLongValuesbooleanOptional

Whether cell values exceeding Excel limit should be truncated. Default value is false.

Default: false
Body
stringOptional
Responses
200

The JSON representation of the job that performs an Output Module query.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/outputModule/export/excel-job
200

The JSON representation of the job that performs an Output Module query.

Exports results in Excel format, returns information about created file.

post

Performs an Output Module query and stores the query results in a file in Excel format. The id of the file is returned in the response.

Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated.

sheetNamestringOptional

The name of the sheet. By default no sheet name is set.

useXLSXbooleanOptional

Whether the Excel file to export will be '.xlsx' file (true) or a '.xls' file (false. Default value is true.
The parameter will be removed. In the future only XLSX files will be supported.

Default: true
headerRowbooleanOptional

Whether a response should include a header (true) or not (false). Default value is true.

Default: true
truncateLongValuesbooleanOptional

Whether cell values exceeding Excel limit should be truncated. Default value is false.

Default: false
Body
stringOptional
Responses
200

The information about the file where the results are stored.

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/outputModule/export/excel-file

Exports results in JSON format, returns the results immediately.

post

Performs an Output Module query and exports the returns results immediately in JSON format.

Please note that the ViewConfig/TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
Body
stringOptional
Responses
200

The string response in JSON format.

text/plain
stringOptional
post/outputModule/export/json

Exports results in JSON format, returns JSON representation of the async Job.

post

Starts a job that performs an Output Module query and stores the results in a file in JSON format. Id of the file can be retrieved from the message.id property of the job once the job is finished.

Please note that the ViewConfig/TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

Authorizations
AuthorizationstringRequired
Query parameters
sendNotificationbooleanOptional

Whether an e-mail must be sent on completion of the job.

Default: false
validationEnabledbooleanOptional

Determines if the ViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated.

Body
stringOptional
Responses
200

The JSON representation of the job that performs an Output Module query.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/outputModule/export/json-job

Exports results in JSON format, returns information about created file.

post

Performs an Output Module query and stores the query results in a file in JSON format. The id of the file is returned in the response.

Please note that the ViewConfig/TableViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated.

Body
stringOptional
Responses
200

The information about the file where the results are stored.

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/outputModule/export/json-file

Exports results in XML format, returns the results immediately.

post

Performs an Output Module query and exports the returns results immediately in XML format.

Please note that the ViewConfig’s syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results).For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
Body
stringOptional
Responses
200

The string response in XML format.

text/plain
stringOptional
post/outputModule/export/xml

Exports results in XML format, returns JSON representation of the async Job.

post

Starts a job that performs an Output Module query and stores the results in a file in XML format. Id of the file can be retrieved from the message.id property of the job once the job is finished.

Please note that the ViewConfig's syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the ViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated.

Body
stringOptional
Responses
200

The JSON representation of the job that performs an Output Module query.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/outputModule/export/xml-job
200

The JSON representation of the job that performs an Output Module query.

Exports results in XML format, returns information about created file.

post

Performs an Output Module query and stores the query results in a file in XML format. The id of the file is returned in the response.

Please note that the ViewConfig's syntax validation is not executed by default, see validationEnabled

DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.

For long-running queries consider using the async equivalent.

Authorizations
AuthorizationstringRequired
Query parameters
validationEnabledbooleanOptional

Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.

Default: false
fileNamestringOptional

The name of the file. By default the file name will be generated.

Body
stringOptional
Responses
200

The information about the file where the results are stored.

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/outputModule/export/xml-file

Returns TableViewConfig based on id of given View and its Location.

get

EXPERIMENTAL Returns Table View Config based on id of given View and its Location. This Table View Config can be used by Output Module to export data as visible in Collibra Data Governance Center User Interface.

This endpoint does not guarantee a one-to-one relation between what is visible in the User Interface and what will be exported by using the provided Table View Config. Due to the possibility of adding additional filters through User Interface the result can contain more rows then are visible in the User Interface. In such case the Table View Config produced by this endpoint should be manually adjusted.

Because obtaining the correct results needs a human intervention, this endpoint should not be used in any kind of automatic processing.

Example: given page under url https://dgc.collibra.com/glossary?view=133f7f30-033c-4e38-acc2-2c1ac599d19e the view id is 133f7f30-033c-4e38-acc2-2c1ac599d19e.

Authorizations
AuthorizationstringRequired
Path parameters
viewIdstring · uuidRequired

The id of given View. Can be obtained from Collibra Data Governance Center User Interface

Query parameters
viewLocationstring · enumOptional

The Location for which the view shall be generated.Views in Collibra Data Governance Center are available under specific locations.Each location is associated with set of filters that are automatically applied to given view.Setting appropriate View Location will produce Table View Config that describes the data seen under desired location and given View in the best way possible.If this field is not provided then the returned Table View Config is going to have additional filters applied based on viewLocation extracted from database.`

viewLocation value Corresponding view in Collibra Data Governance Center User Interface
BUSINESS_GLOSSARY_BUSINESS_ASSETS Business Glossary Subpages: Business Assets (/glossary)Glossaries (/glossary/glossaries)
REFERENCE_DATA_CODEVALUES_AND_SETS Reference Data > Code Values/Sets (/reference-data)
CATALOG_DATA_SETS Catalog > Data Sets (/catalog/data-sets)
CATALOG_DATA_DICTIONARY Catalog > Data Dictionary (/catalog/data-dictionary)
CATALOG_TECHNOLOGY_ASSETS Catalog > Technology Assets (/catalog/technology-assets)
DATA_HELPDESK_ISSUES Data Helpdesk Subpages: Issues(/data-helpdesk)>Data Quality (/data-helpdesk/data-quality)
STEWARDSHIP_BUSINESS_DIMENSIONS Stewardship > Business Dimensions (/stewardship/business-dimensions)
POLICY_MANAGER_GOVERNANCE_ASSETS Policy Manager > Governance Assets (/policy-manager)
Possible values:
Responses
200

View config generated.

application/json
stringOptional
get/outputModule/tableViewConfigs/viewId/{viewId}

Last updated

Was this helpful?